Package ru.bitel.bgbilling.kernel.bgsecure.common.service

# Interface RoleService

public interface RoleService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ActionData`
  `actionDataRoot(String componentName)`
  `void`
  `actionExpressionDataDelete(int id)`
  `ActionExpressionData`
  `actionExpressionDataGet(int id)`
  `List<ActionExpressionData>`
  `actionExpressionDataList(String componentId, List<Integer> actionsIds)`
  `void`
  `actionExpressionDataUpdate(ActionExpressionData actionExpressionData)`
  `int`
  `checkRoleContainsKit(int permissionKitId)`
  Проверка, есть ли роль, которая содержит выбранный набор
  `void`
  `clearUnregRequestRecordList(List<String> recordIds)`
  `void`
  `deleteBGSActionGroup(BGSActionGroup group)`
  `void`
  `deletePermissionKit(int permissionKitId)`
  `void`
  `deleteRequestRecordLog(RequestRecordLog log)`
  `void`
  `deleteRole(Role role)`
  `void`
  `deleteRoleById(int roleId)`
  `List<BGSActionGroup>`
  `getBGSActionGroups()`
  `PermissionKit`
  `getByKitId(int permissionKitId)`
  `Role`
  `getByRoleId(int roleId)`
  `List<IdTitle>`
  `getKitItems()`
  `List<PermissionKitItem>`
  `getPermissionKitItems()`
  `List<RoleItem>`
  `getRoleItems(boolean initChilds, boolean sortByTitle)`
  `List<Role>`
  `getRoles()`
  `void`
  `recheckUnregRequestRecordList()`
  `SearchResult<RequestRecordLog>`
  `searchRequestRecordLogList()`
  `SearchResult<UnregRequestRecord>`
  `searchUnregRequestRecordList(Page page)`
  `void`
  `startRecordingActions(int userId, String title)`
  `RequestRecordLog`
  `stopRecordingActions(int userId)`
  `void`
  `updateBGSActionGroup(BGSActionGroup group)`
  `int`
  `updatePermissionKit(PermissionKit permissionKit)`
  `void`
  `updateRequestLog(RequestRecordLog requestRecordLog)`
  `void`
  `updateRole(Role role)`

- ## Method Details

  - ### getRoles

    List<Role> getRoles() throws Exception
    Throws:
      `Exception`

  - ### getRoleItems

    List<RoleItem> getRoleItems(boolean initChilds, boolean sortByTitle) throws Exception
    Throws:
      `Exception`

  - ### getByRoleId

    Role getByRoleId(int roleId) throws Exception
    Throws:
      `Exception`

  - ### updateRole

    void updateRole(Role role) throws Exception
    Throws:
      `Exception`

  - ### deleteRole

    void deleteRole(Role role) throws Exception
    Throws:
      `Exception`

  - ### deleteRoleById

    void deleteRoleById(int roleId) throws Exception
    Throws:
      `Exception`

  - ### getBGSActionGroups

    List<BGSActionGroup> getBGSActionGroups() throws Exception
    Throws:
      `Exception`

  - ### updateBGSActionGroup

    void updateBGSActionGroup(BGSActionGroup group) throws Exception
    Throws:
      `Exception`

  - ### deleteBGSActionGroup

    void deleteBGSActionGroup(BGSActionGroup group) throws Exception
    Throws:
      `Exception`

  - ### getKitItems

    List<IdTitle> getKitItems() throws Exception
    Throws:
      `Exception`

  - ### getPermissionKitItems

    List<PermissionKitItem> getPermissionKitItems() throws Exception
    Throws:
      `Exception`

  - ### getByKitId

    PermissionKit getByKitId(int permissionKitId) throws Exception
    Throws:
      `Exception`

  - ### updatePermissionKit

    int updatePermissionKit(PermissionKit permissionKit) throws Exception
    Throws:
      `Exception`

  - ### deletePermissionKit

    void deletePermissionKit(int permissionKitId) throws Exception
    Throws:
      `Exception`

  - ### checkRoleContainsKit

    int checkRoleContainsKit(int permissionKitId) throws Exception
    Проверка, есть ли роль, которая содержит выбранный набор
    Parameters:
      `permissionKitId` - id проверяемого набора ограничений
    Returns:
      >0 - есть роль с данным набором. Само число - кол-во ролей с данным набором.
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`
      `Exception`

  - ### searchUnregRequestRecordList

    SearchResult<UnregRequestRecord> searchUnregRequestRecordList(Page page) throws Exception
    Throws:
      `Exception`

  - ### clearUnregRequestRecordList

    void clearUnregRequestRecordList(List<String> recordIds) throws Exception
    Throws:
      `Exception`

  - ### recheckUnregRequestRecordList

    void recheckUnregRequestRecordList() throws Exception
    Throws:
      `Exception`

  - ### startRecordingActions

    void startRecordingActions(int userId, String title) throws Exception
    Throws:
      `Exception`

  - ### stopRecordingActions

    RequestRecordLog stopRecordingActions(int userId) throws Exception
    Throws:
      `Exception`

  - ### searchRequestRecordLogList

    SearchResult<RequestRecordLog> searchRequestRecordLogList() throws Exception
    Throws:
      `Exception`

  - ### updateRequestLog

    void updateRequestLog(RequestRecordLog requestRecordLog) throws Exception
    Throws:
      `Exception`

  - ### deleteRequestRecordLog

    void deleteRequestRecordLog(RequestRecordLog log) throws Exception
    Throws:
      `Exception`

  - ### actionExpressionDataList

    List<ActionExpressionData> actionExpressionDataList(String componentId, List<Integer> actionsIds) throws Exception
    Throws:
      `Exception`

  - ### actionExpressionDataGet

    ActionExpressionData actionExpressionDataGet(int id) throws Exception
    Throws:
      `Exception`

  - ### actionExpressionDataUpdate

    void actionExpressionDataUpdate(ActionExpressionData actionExpressionData) throws Exception
    Throws:
      `Exception`

  - ### actionExpressionDataDelete

    void actionExpressionDataDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### actionDataRoot

    ActionData actionDataRoot(String componentName) throws Exception
    Throws:
      `Exception`